const express = require('express');
const router = express.Router();

const templateController = require('../controllers/templateController');
const { authMiddleware } = require('../middlewares/authMiddleware');

router.get('/get',authMiddleware ,templateController.get)
router.get('/get',authMiddleware ,templateController.get)
router.put('/',authMiddleware, templateController.update)
router.post('/',authMiddleware, templateController.createValidate, templateController.create)
router.delete('/:id',authMiddleware, templateController.destroy)
module.exports = router